Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.build.admin
Class BuildConfigurationSupport

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.build.admin.BuildConfigurationSupport

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, BuildConfigurationAware, ReturnUrlAware

Direct Known Subclasses:
  ConfigureBuildArtifact, ConfigureBuildBuilder, ConfigureBuildDependencies, ConfigureBuildPostAction, ConfigureBuildRepository, SaveConfig, SaveNewProject

    public class BuildConfigurationSupport

extends BambooActionSupport
implements BuildConfigurationAware

Field Summary
`protected static String` | `BACK`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`BuildConfigurationSupport()`

Method Summary
`BuildConfiguration` | `getBuildConfiguration()`
`String` | `getBuildConfigurationAsXml()`
`String` | `getBuildKey()`
`void` | `setBuildConfiguration(BuildConfiguration buildConfiguration)`
`void` | `setBuildKey(String buildKey)`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### BACK

    protected static final String BACK

See Also:
  Constant Field Values

Constructor Detail

### BuildConfigurationSupport

    public BuildConfigurationSupport()

Method Detail

### getBuildConfiguration

    public BuildConfiguration getBuildConfiguration()

  Specified by:
    `getBuildConfiguration` in interface `BuildConfigurationAware`

### setBuildConfiguration

    public void setBuildConfiguration(BuildConfiguration buildConfiguration)

  Specified by:
    `setBuildConfiguration` in interface `BuildConfigurationAware`

### getBuildConfigurationAsXml

    public String getBuildConfigurationAsXml()

### getBuildKey

    public String getBuildKey()

### setBuildKey

    public void setBuildKey(String buildKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.